Subject: Getting rid of MAYs in RFC4294

From: "Suresh Krishnan" <[email-masked]>
Date: Wed, 5 Dec 2007 12:24:41 -0500

Hi Folks,
Section 4.1 "the forwarding functionality MAY be supported." while there is a router section at the end where we can make this a MUST
MAY for Jumbograms
MAY for stateful DHCP - switch to MUST use DHCP if stateful address configuration is desired
Remove IPv6 nodes MAY support IPv4 - This is so obvious and hence does not belong. As opposed to what? "IPv6 nodes MUST NOT support IPv4?"
MAY for mobility mn functionality and HA functionality - switch to MUST if these functionalities are desired
Remove network management from the list if MAYs. This adds nothing

I also feel strongly that the algorithm requirements for IPSec (MAY for some of them) don't necessarily belong here

Thanks
Suresh

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: <[email-masked]>
Date: Wed, 5 Dec 2007 13:34:34 -0600

Suresh,

Check that my comments are refering to the right text, the formatting
is off on your mail, so I had a hard time parsing some of your comments.

For many of the MAYs, my opinion is that if we don't say anything about
it, 
people will ask if these features are required or not. I think this
should
only be covering IPv6 related technology, and not other things (like
SIP, HTTP,
etc.)

>Section 4.1 "the forwarding functionality MAY be supported." 
>while there is a router section at the end where we can make 
>this a MUST 

I think we would need to get the text ray. 

> MAY for Jumbograms 

See above.

> MAY for stateful DHCP - switch 
>to MUST use DHCP if stateful address configuration is desired 

Do OS vendors know if statefull address config is desired or not?
Thomas a while ago suggested putting in some clarifying text to 
cover why such Features might be useful to include.

>Remove IPv6 nodes MAY support IPv4 - This is so obvious and 
>hence does not belong. As opposed to what? "IPv6 nodes MUST 
>NOT support IPv4?"

Actually, I had some comments off-line comments asking me (from
non IETFers) if it was allowed to support IPv4 on an IPv6
compliant device.  I think it is fine to be a bit more explicit
on this, especially because I have found this document to be
read by a lot of people who are not directly involved in the IETF.

>MAY for mobility mn functionality and HA functionality - 
>switch to MUST if these functionalities are desired 

What do you mean by this?  I think saying it is MUST if they
are desired is circular logic, not providing 

> Remove 
>network management from the list if MAYs. This adds nothing

There was some discussion about this during initial work,
what does the working group think of this?

>I also feel strongly that the algorithm requirements for IPSec 
>(MAY for some of them) don't necessarily belong here

I believe much of this came from the security area, so I think we
need to check with this.

John